
# Reticulum
Reticulum ist der kryptografiebasierte Netzwerkstack für den Aufbau von lokalen und Weitverkehrsnetzen mit leicht verfügbarer Hardware. Reticulum kann auch unter ungünstigen Bedingungen mit sehr hoher Latenz und extrem geringer Bandbreite weiterarbeiten.

Die Vision von Reticulum ist es, jedem die Möglichkeit zu geben, seine eigenen souveränen Kommunikationsnetze zu betreiben, und es billig und einfach zu machen, große Gebiete mit einer Vielzahl von unabhängigen, zusammenschaltbaren und autonomen Netzen abzudecken. Reticulum ist unaufhaltsame Netzwerke für die Menschen.


<p align="center"><img width="30%" src="gfx/reticulum_logo_512.png"></p>


Reticulum ist nicht *ein* Netzwerk. Es ist ein Werkzeug zum Aufbau *tausender* Netzwerke. Netze ohne Kill-Switches, Überwachung, Zensur und Kontrolle. Netzwerke, die frei miteinander interagieren, sich verbinden und trennen können. Reticulum ist ein Netzwerk für Menschen.

Aus Sicht der Nutzer ermöglicht Reticulum die Entwicklung von Anwendungen, die die Autonomie und Souveränität von Gemeinschaften und Einzelpersonen respektieren und stärken. Reticulum bietet eine sichere digitale Kommunikation, die keiner Kontrolle, Manipulation oder Zensur von außen unterliegt.

Reticulum ermöglicht den Aufbau sowohl kleiner als auch potenziell planetarer Netzwerke, ohne dass hierarchische oder behördliche Strukturen zu deren Kontrolle oder Verwaltung erforderlich sind, und sichert Individuen und Gemeinschaften die volle Souveränität über ihre eigenen Netzwerksegmente.

## Erwähnenswerte Merkmale
Reticulum löst zwar das gleiche Problem wie jeder andere Netzwerkstack, nämlich Daten zuverlässig von einem Punkt zu einem anderen über eine Reihe von Zwischenstationen zu transportieren, aber auf eine Weise, die sich von anderen Netzwerktechnologien stark unterscheidet.

- Reticulum verwendet keine Quelladressen. Keines der übertragenen Pakete enthält Informationen über die Adresse, den Ort, die Maschine oder die Person, von der es stammt.
- Es gibt keine zentrale Kontrolle über den Adressraum in Reticulum. Jeder kann so viele Adressen zuweisen, wie er braucht und wann er sie braucht.
- Reticulum gewährleistet eine durchgängige Konnektivität. Neu generierte Adressen werden innerhalb von Sekunden bis wenigen Minuten global erreichbar.
- Adressen sind *selbstständig* und *portabel*. Sobald eine Adresse erstellt wurde, kann sie physisch an einen anderen Ort im Netz verschoben werden und ist weiterhin erreichbar.
- Die gesamte Kommunikation ist standardmäßig mit [starker, moderner Verschlüsselung](crypto_de.html) gesichert.
- Alle Verschlüsselungsschlüssel sind kurzlebig, und die Kommunikation bietet standardmäßig ein Vorwärtsgeheimnis.
- Es ist nicht möglich, unverschlüsselte Verbindungen in Reticulum-Netzen herzustellen.
- Es ist nicht möglich, unverschlüsselte Pakete an beliebige Ziele im Netz zu senden.
- Ziele, die unverschlüsselte Pakete empfangen, verwerfen diese als ungültig.

<p align="right"><a href="start_de.html">Nächstes Thema: Los geht's</a></p>
