
# Reticulum
Reticulum to oparty na kryptografii stos sieciowy do budowy sieci lokalnych (LAN) i rozległych (WAN) z wykorzystaniem łatwo dostępnego sprzętu. Reticulum może kontynuować pracę nawet w niekorzystnych warunkach, przy bardzo dużych opóźnieniach i ekstremalnie niskiej przepustowości.

Wizją Reticulum jest umożliwienie każdemu zarządzanie własnymi, niezależnymi sieciami komunikacyjnymi, a także umożliwienie taniego i łatwego pokrycia ogromnych obszarów niezliczoną ilością niezależnych, wzajemnie połączonych i autonomicznych sieci. Reticulum to Niepowstrzymane Sieci dla Ludzi.

<p align="center"><img width="30%" src="gfx/reticulum_logo_512.png"></p>

Reticulum nie jest *jedną* siecią. Jest narzędziem do budowy *tysięcy sieci*. Sieci bez wyłączników, nadzoru, cenzury i kontroli. Sieci, które mogą swobodnie współdziałać, łączyć się i rozłączać ze sobą. Reticulum to Sieci dla Istot Ludzkich.

Z punktu widzenia użytkownika, Reticulum pozwala na tworzenie aplikacji, które szanują i wzmacniają autonomię i niezależność społeczności i jednostek. Reticulum zapewnia bezpieczną komunikację cyfrową, która nie może być poddana zewnętrznej kontroli, manipulacji czy cenzurze.

Reticulum umożliwia budowę zarówno małych, jak i potencjalnie planetarnych sieci, bez potrzeby tworzenia hierarchicznych lub biurokratycznych struktur do ich kontroli lub zarządzania, zapewniając jednocześnie jednostkom i społecznościom pełną niezależność nad ich własnymi segmentami sieci.

## Istotne Cechy
Podczas gdy Reticulum rozwiązuje ten sam problem, co każdy stos sieciowy, a mianowicie niezawodne przesyłanie danych z jednego punktu do drugiego przez licznych pośredników, robi to w sposób, który bardzo różni się od innych technologii sieciowych.

- Reticulum nie korzysta z adresów źródłowych. Żadne przesyłane pakiety nie zawierają informacji o adresie, miejscu, maszynie czy osobie, z której pochodzą.
- W Reticulum nie ma centralnej kontroli nad przestrzenią adresową. Każdy może przydzielić tyle adresów ile potrzebuje i kiedy potrzebuje.
- Reticulum zapewnia łączność end-to-end. Nowo wygenerowane adresy stają się globalnie osiągalne w czasie kilku sekund do kilku minut.
- Adresy są *samostanowiące* i *przenośne*. Po utworzeniu adresu można go przenieść fizycznie w inne miejsce w sieci i nadal być osiągalnym.
- Cała komunikacja jest domyślnie zabezpieczona [silnym, nowoczesnym szyfrowaniem](crypto_pl.html).
- Wszystkie klucze szyfrujące są efemeryczne, a komunikacja domyślnie oferuje utajnianie z wyprzedzeniem (forward secrecy).
- W sieciach Reticulum nie ma możliwości tworzenia nieszyfrowanych połączeń.
- Nie jest możliwe wysyłanie niezaszyfrowanych pakietów do jakichkolwiek miejsc docelowych w sieci.
- Miejsca docelowe otrzymujące niezaszyfrowane pakiety będą je odrzucały jako nieprawidłowe.

<p align="right"><a href="start_pl.html">Następny Temat: Jak zacząć</a></p>
