
# Reticulum
Reticulum é uma framework de redes baseada em criptografia para desenvolver redes locais e distantes, utilizando o hardware disponível. Reticulum pode operar em condições adversas como alta latência e velocidade de rede extremamente baixa.

A visão do Reticulum é permitir que qualquer um possa operar sua própria rede de comunicação, sendo barato e fácil de cobrir vastas áreas com uma miríade de redes independentes, interconectáveis e autônomas.
Reticulum é "Redes Imparáveis Para o Povo".

<p align="center"><img width="30%" src="gfx/reticulum_logo_512.png"></p>

O Reticulum não é *uma* rede. é uma ferramenta para construir milhares de redes. Redes sem interruptores, espionagem, censura ou controle. Redes que podem livremente interoperar, se associar e disassociar com cada uma. Reticulum é "Redes para Seres Humanos".

Pela perspectiva do usuário, Reticulum permite a criação de aplicações que respeitam e empoderam a autonomia e soberania de comunidades e indivíduos. Reticulum provê comunicação digital segura que não pode ser submetida ao controle, manipulação e censura.

Reticulum permite a construção de redes pequenas ou de escala planetária, sem a necessidade de estruturas hierárquicas ou burocráticas que controlem elas, enquanto garante que indivíduos e comunidades tenham total soberania sobre suas próprias redes.

## Caracteristicas Notáveis
Enquanto o Reticulum resolve o mesmo problema que todo framework de rede, isto é, para obter dados de forma confiável de um ponto para outro por um número de intermediários, faz de uma forma muito diferente de outras tecnologias de rede.

- Reticulum não utiliza endereços-fonte, nenhum pacote transmitido inclui informação de endereço, local, computador ou pessoa que enviou.
- Não há controle central sobre o espaço de endereços no Reticulum. Qualquer um pode criar quantos endereços quiser, quando quiser.
- Reticulum garante conexão de ponta-a-ponta. Novos endereços criados são acessíveis globalmente em questão de segundos ou minutos.
- Endereços são soberanos e portáteis. Uma vez que um endereço foi criado, ele pode ser movido fisicamente para outro local da rede, e continuará acessível.
- Toda conexão é assegurada com criptografia forte e moderna por padrão.
- Todas as chaves de criptografia são efêmeras, e a comunicação fornece forward-secrecy por padrão.
- Não é possível criar links sem criptografia em redes Reticulum.
- Não é possível enviar pacotes sem criptografia para qualquer endereço da rede.
- Endereços recebendo pacotes sem criptografia iram descartá-los como inválidos.

<p align="right"><a href="start_pt-br.html">Próxima Página: Começar</a></p>
